
Foreman - Bug #11095

Host(group) edit -> when adding/removing puppetclass the current status of the lookup values is

saved to DB

07/12/2015 06:57 AM - Tom Caspy

Status: Closed   

Priority: Normal   

Assignee: Tom Caspy   

Category: Web Interface   

Target version: 1.9.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2537

  

Description

Also, probably on update when save fails.

happens because host_common.rb#lookup_values_attributes=

Related issues:

Related to Foreman - Bug #11807: Cannot update host and hostgroup overrides Closed 09/14/2015

Associated revisions

Revision c6b42368 - 07/15/2015 12:15 PM - Tom Caspy

fixes #11095 - lookup keys do not get saved to db on setter invokation

Revision 22a653af - 09/09/2015 10:49 AM - Tom Caspy

fixes #11095 - lookup keys do not get saved to db on setter invokation

(cherry picked from commit c6b4236846decc58583143f30d537a27b4848953)

History

#1 - 07/13/2015 07:48 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2537 added

- Pull request deleted ()

#2 - 07/15/2015 01:01 PM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c6b4236846decc58583143f30d537a27b4848953.

#3 - 07/16/2015 02:59 AM - Dominic Cleal

- Category set to Web Interface

- translation missing: en.field_release set to 72

#4 - 09/15/2015 03:55 AM - Dominic Cleal

- Related to Bug #11807: Cannot update host and hostgroup overrides added
